[VMWare] 호스트 5.5.0 업데이트 오류 관련 문의 드립니다.

   조회 3600   추천 0    

현재 HP DL380 G6 호스트 업데이트 진행 하려 하는데 아래와 같은 오류가 발생합니다..

현재 게스트OS는 모두 셧다운 된 상태이며 유지보수 모드로 진행 중입니다.

 설치되어 있는 이미지 프로파일은 HP-ESXI-5.5.0-Update1-iso-5.74.27 로 되어 있습니다.

esx-base                       5.5.0-1.16.1746018                     VMware           VMwareCertified   2014-07-14

이번에 할 패치파일은  ESXi-5.5.0-20180304001-standard (Build 7967571) 요걸로 한번에 올려 버릴려고 합니다...

문제가 되는 부분이 있을가요?? HP 벤더에 커스텀이미지로 해야되는건지..

ESXi 설치시 맨 최초에만 커스텀 이미지로 올리고 그다음은 vmware에서 배포하는 이미로면 업데이트 해도 문제가 되지 않는건요...

아래와 같은 에러가 뜸니다....


 [DependencyError]

 VIB Broadcom_bootbank_net-bnx2_2.2.5d.v55.2-1OEM.550.0.0.1331820 requires misc-cnic-register = 1.7a.02.v55.1-1OEM.550.0.0.1331820, but the requirement cannot be satisfied within the ImageProfile.

 Please refer to the log file for more details.


브로드컴 관련 삭제 후에 진행을 해야되건지....어떻게 진행을 해야 할까요??

배워보자 it
김골뱅 06-03
업데이트시에 사용하신 명령어 알려주시겠어요?
     
전산직딩 06-04
esxcli software profile update -d "경로"
 명령어는 위와 같습니다. 현재 HPE 5.5.0 U3b 버전을 구해서 여기부터 설치 진행을 했구요. 업데이트는 됐는데 최초 재부팅시
로컬하드가 마운트 되지도 않고 올라오지도 않습니다.....다시 재부팅하면 버전이 롤백 되네요....
롤백된 상태에서 파티션을 보니 로컬로 마운트 되는 파티션이 vmfs5고 70정도 용량을 잡아 먹고 있는 vfat이라는 파티션쪽에 OS가 깔려 있는 듯 합니다..
     
전산직딩 06-04
지금 VMware-ESXi-5.5.0-Update2-2403361-HP-550.9.2.40.2-Sep2015-depot 버전으로 올려보니 정상적으로 올라갔습니다...
펌웨어 업데이트를 해야 되는건지....어디 호환 문제인건지...
bois 버전 P62 릴리즈 날짜 2009-10-01 이네요....흠....업데이트 하기 겁나네요..
          
김골뱅 06-04
bnx2 드라이버과 연관된 메타데이터가 좀 문제가 있는것 같네요. 혹시 bnx2 장치를 사용하시는게 있나요?

없으시다면
해당 vib 및 연관된 vib 을 remove 하신뒤에 update 를 하시는게 좋을것 같습니다.

esxcli software vib remove –vibname=net-bnx2
esxcli software vib remove –vibname=net-bnx2x
esxcli software vib remove –vibname=net-tg3
esxcli software vib remove –vibname=scsi-bnx2fc
esxcli software vib remove –vibname=scsi-bnx2i
esxcli software vib remove –vibname=net-cnic
esxcli software vib remove –vibname=misc-cnic-register
               
전산직딩 06-04
답변 감사합니다^^; 혹시나 esxi5.5 U2 -> U3으로 업데이트시 간혹 레이드컨트롤러나 각종 펌웨어가 낮은 상태에서 업데이트가 안되는 경우가 간혹 있을까요? SPP로 최신버전까지 업데이트 해버릴까 생각중인데 왠만해서는 서버 건드리기 겁나서요^^;;;
한도 끝도 없이 질문 드려 죄송합니다.... BNx2 장비 사용중입니다. 말씀 주신 명령어 넣고 다시 해봐야겠네요 감사합니다^^.
아! 한가지 더 레이드 컨트롤러 펌웨어나 SPP로 업데이트시에 혹시 레이드가 풀리는 경우가 있을까요?? 예전에 G7 서버 풀린 기억이 있어서....
                    
김골뱅 06-05
업데이트 자체는 안될게 없는데 업데이트 되고나서, 펌웨어와 Driver 간의 호환성이 문제가 되는 경우도 있긴 합니다.

https://www.vmware.com/resources/compatibility/search.php?deviceCategory=io

여기서 사용하시는 컨트롤러 모델을 입력하면 vsphere 버전과 호환되는 해당 컨트롤러의 드라이버와 펌웨어 리스트를 확인할 수 있습니다. 대체적으로 해당 리스트에 있는 버전을 권고하지만 사용하는 버전이 리스트에 있는 버전보다 높다면 크게 문제삼지는 않습니다.

저는 SPP 로 업데이트시에 풀린 기억은 없긴 합니다만.. 그런것은 예상하기가 힘들어서.. ㅎㅎ

일단 메인터넌스 모드 넣으시고, 위의 vib 들 remove 하신다면에 update 명령어로 진행하시면 되지 않을까 합니다. 만약 에러가 난다면 안된다면 remove 후에 재부팅을 한번 하셔야 할수도 있겠네요.
                         
전산직딩 06-07
제가 착각한 것 같습니다. 아마 스토리지 마운트만 해제 된 것 같구요....컨트롤러 펌웨어 버전이 2.7X 버전이네요...넘청 낮네요..
말씀하신데로 remove 명령어 진행하려고 망설이다가 혹시나 해서 U2까지 HPE 번들로 업데이트 한 다음
U3 build 3248547을 온라인 업데이트 하니 정상적으로 올라갔습니다..다음으로 최신 빌드로 온라인 업데이트 하니 정상적으로 다 올라가네요...일딴 가상화 다시 올려봤는데 문제는 없는 것 같습니다...혹시 모르니 말씀 주신 컨트롤러쪽 업데이트는 해야 되겠네요..